<template>
  <div class="app-container">
    <el-form ref="elForm" :model="formData" :rules="rules" size="medium" label-width="100px">
      <el-form-item label="模拟器类型" prop="field101">
        <el-select v-model="formData.field101" placeholder="请选择模拟器类型" clearable :style="{width: '95%'}">
          <el-option
              v-for="dict in dict.type.sim_sim_type"
              :key="dict.value"
              :label="dict.label"
              :value="dict.value"
            ></el-option>
        </el-select>
      </el-form-item>
      <el-form-item size="large">
        <el-button type="primary" @click="submitForm" >开始练习</el-button>
      </el-form-item>
    </el-form>
  </div>
</template>
<script>
export default {
  components: {},
  props: [],
  dicts: ['sim_sim_type'],
  data() {
    return {
      formData: {
        field101: undefined,
      },
      rules: {
        field101: [{
          required: true,
          message: '请选择下拉选择',
          trigger: 'change'
        }],
      },
    }
  },
  computed: {},
  watch: {},
  created() {},
  mounted() {},
  methods: {
    submitForm() {
      const userId = 1;//当前用户
      this.$router.push("/people/practice-practice2/practiceid/" + userId);
    },
    resetForm() {
      this.$refs['elForm'].resetFields()
    },
  }
}

</script>
<style>
.el-form-item__content{
  /* margin-top: 15%; */
  text-align: center;
}
</style>
